package com.jscape.filetransfer;

/**
 * @author Alex Usun
 */
public class FileTransferAuthenticationException
        extends FileTransferException {

    private static final long serialVersionUID = -6494885384586436603L;

    public FileTransferAuthenticationException() {
    }

    public FileTransferAuthenticationException(String message) {
        super(message);
    }

    public FileTransferAuthenticationException(String message, Throwable exception) {
        super(message, exception);
    }

    public FileTransferAuthenticationException(Throwable cause) {
        super(cause.getMessage() != null ? cause.getMessage() : cause.toString(), cause);
    }
}
